%define tilp_version 1.17

Name:           libticonv
Version:        1.1.4
Release:        0%{?dist}
Summary:        Texas Instruments calculators charsets library

Group:          Development/Libraries
License:        GPLv2+
URL:            https://sourceforge.net/projects/tilp/
Source0:        http://sourceforge.net/projects/tilp/files/tilp2-linux/tilp2-%{tilp_version}/%{name}-%{version}.tar.bz2

BuildRequires:  glib2-devel, pkgconfig, tfdocgen

%package devel

Group:          Development/Libraries
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description
The ticonv library is a library capable of conversions between
Texas Instruments character sets and UTF-8/UTF-16 character sets.

%description devel
Include files and libraries for linking and developing
applications using libticonv.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/libticonv.la
cd docs
make install DESTDIR=%{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_libdir}/libticonv.so.*
%doc %{_docdir}/libticonv

%files devel
%{_libdir}/libticonv.so
%{_libdir}/pkgconfig/ticonv.pc
%{_includedir}/tilp2/

%changelog
* Mon Apr 15 2013 'Ben Rosser' <rosser.bjr@gmail.com 1.1.4-0
- Updated to latest upstream tilp version

* Wed Jul 11 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.3-5
- Added full documentation, built by tfdocgen

* Wed Jun 20 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.3-4
- Removed libtool archives from compilation
- Added versioned Require for libticonv-devel

* Tue Jun 19 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.3-3
- devel subpackage now requires the parent package, as is proper

* Tue Jun 19 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.3-2
- Added libticonv-devel subpackage
- Fixed description line's length

* Tue Jun 19 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.3-1
- libticonv will take ownership of /usr/include/tilp2

* Tue Jun 19 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.3-0
- Updated to 1.1.3, vastly improved specfile

* Sat Jul 30 2011 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.2-0
- Initial version of the package
